pike.git / lib / modules / Parser.pmod / LR.pmod / module.pmod

version» Context lines:

pike.git/lib/modules/Parser.pmod/LR.pmod/module.pmod:194:       //! Create a new error handler.    //!    //! @param verbosity    //! Level of verbosity.    //!    //! @seealso    //! @[verbose]    protected void create(int(-1..1)|void verbosity)    { -  if (!zero_type(verbosity)) { +  if (!undefinedp(verbosity))    verbose = verbosity;    }   } - } +       //! This object implements an LALR(1) parser and compiler.   //!   //! Normal use of this object would be:   //!   //! @pre{   //! set_error_handler   //! {add_rule, set_priority, set_associativity}*   //! set_symbol_to_string   //! compile